#include <bits/stdc++.h>
#include <algorithm>

using namespace std;

int main()
{
    string A;
    string B;
    string C;
    long long a,b,c;
    cin >> a >> b >> c;
    A=to_string(a);
    B=to_string(b);
    C=to_string(c);
    string broj[6]={A+B+C, B+A+C, A+C+B, C+A+B, B+C+A, C+B+A};
    int maxx=0;
    for(int k=0;k<6;k++)
    {
        if(strcmp(broj[maxx],broj[k])<0)
        {
            maxx=k;
        }
    }
    cout << broj[maxx];

    return 0;
}